Skip to main content
GET
/
v4
/
core
/
companies
/
{companyId}
/
documents
List documents
curl --request GET \
  --url https://api.integrations.commenda.io/v4/core/companies/{companyId}/documents \
  --header 'api_key: <api-key>'
import requests

url = "https://api.integrations.commenda.io/v4/core/companies/{companyId}/documents"

headers = {"api_key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {api_key: '<api-key>'}};

fetch('https://api.integrations.commenda.io/v4/core/companies/{companyId}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "data": [
      {
        "rootfi_id": 123,
        "rootfi_created_at": "2023-11-07T05:31:56Z",
        "rootfi_updated_at": "2023-11-07T05:31:56Z",
        "platform_id": "<string>",
        "file_name": "<string>",
        "file_type": "<string>",
        "file_size": 123,
        "document_type_id": "<string>",
        "document_uploaded": true,
        "updated_at": "2023-11-07T05:31:56Z"
      }
    ],
    "total_count": 123,
    "next": "<string>",
    "prev": "<string>"
  },
  "request_id": "<string>"
}

Authorizations

api_key
string
header
required

Your Commenda Integrations API key, sent in the api_key header.

Path Parameters

companyId
integer
required

Commenda company id.

Query Parameters

limit
integer
default:20

Max records to return.

Required range: x <= 100
next
string

Cursor for the next page (from a previous response).

prev
string

Cursor for the previous page.

include_deleted_records
boolean

Include soft-deleted records.

return_count
boolean

Include the total match count in the response.

file_name[eq]
string

Exact match on file_name.

file_name[in]
string

Comma-separated file_name values (OR match).

file_type[eq]
string

Exact match on file_type.

file_type[in]
string

Comma-separated file_type values (OR match).

document_type[eq]
string

Exact match on document_type.

document_type[in]
string

Comma-separated document_type values (OR match).

rootfi_integration_type[eq]
string

Exact match on rootfi_integration_type.

rootfi_integration_type[in]
string

Comma-separated rootfi_integration_type values (OR match).

rootfi_updated_at[eq]
string

Exact match on rootfi_updated_at.

rootfi_updated_at[in]
string

Comma-separated rootfi_updated_at values (OR match).

rootfi_updated_at[gte]
string

rootfi_updated_at greater-than-or-equal.

rootfi_updated_at[lte]
string

rootfi_updated_at less-than-or-equal.

updated_at[eq]
string

Exact match on updated_at.

updated_at[in]
string

Comma-separated updated_at values (OR match).

updated_at[gte]
string

updated_at greater-than-or-equal.

updated_at[lte]
string

updated_at less-than-or-equal.

Response

200 - application/json

A paginated list of documents.

data
object
required
request_id
string
required